Subject: Re: [PATCH net-next] net: phylib: fix phy_read*_poll_timeout()

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 2 Jun 2023 09:53:09 +0100

On Thu, Jun 01, 2023 at 09:35:09PM -0700, Jakub Kicinski wrote:
> On Thu, 1 Jun 2023 21:33:45 -0700 Jakub Kicinski wrote:
> > On Thu, 01 Jun 2023 16:48:12 +0100 Russell King (Oracle) wrote:
> > > +	__ret = read_poll_timeout(__val = phy_read, val, \  
> >                                                     ^^^
> > Is this not __val on purpose?
> 
> Yes it is :)  All this to save the single line of assignment
> after the read_poll_timeout() "call" ?

Okay, so it seems you don't like it. We can't fix it then, and we'll
have to go with the BUILD_BUG_ON() forcing all users to use a signed
varable (which better be larger than a s8 so negative errnos can fit)
or we just rely on Dan to report the problems.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!